Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 124301 - splashutils-1.1.9.10 emerge fails with various errors (kernel 2.6.16)
Summary: splashutils-1.1.9.10 emerge fails with various errors (kernel 2.6.16)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: AMD64 Linux
: High normal (vote)
Assignee: Michal Januszewski (RETIRED)
URL:
Whiteboard:
Keywords:
: 127011 128157 (view as bug list)
Depends on:
Blocks: 126972
  Show dependency tree
 
Reported: 2006-02-27 13:16 UTC by George Prowse
Modified: 2006-09-13 07:02 UTC (History)
16 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
splashutils-1.1.9.10-linux-2.6.16.diff (splashutils-1.1.9.10-linux-2.6.16.diff,456 bytes, patch)
2006-03-20 15:46 UTC, Alon Bar-Lev
Details | Diff
A potential fix for the input.h problem. (input_h-fix.patch,565 bytes, patch)
2006-04-02 06:56 UTC, Michal Januszewski (RETIRED)
Details | Diff
incomplete patch (patch2,5.77 KB, patch)
2006-04-11 09:53 UTC, Daniel Drake (RETIRED)
Details | Diff
Dmitry's fix (input-mod-devicetable.patch,9.96 KB, patch)
2006-04-11 19:12 UTC, Daniel Drake (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description George Prowse 2006-02-27 13:16:55 UTC
emerge splashutils-1.1.9.10 gives various errors before compile: 

[...snip]
  CC      common.o
  CC      daemon.o
In file included from daemon.c:27:
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:801: error: syntax error before "kernel_ulong_t"
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:801: warning: no semicolon at end of struct or union
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:805: error: syntax error before "evbit"
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:805: error: `BITS_PER_LONG' undeclared here (not in a function)
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:805: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:806: error: syntax error before "keybit"
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:806: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:807: error: syntax error before "relbit"
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:807: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:808: error: syntax error before "absbit"
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:808: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:809: error: syntax error before "mscbit"
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:809: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:810: error: syntax error before "ledbit"
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:810: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:811: error: syntax error before "sndbit"
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:811: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:812: error: syntax error before "ffbit"
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:812: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:813: error: syntax error before "swbit"
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:813: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:815: error: syntax error before "driver_info"
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:815: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:805: error: storage size of `evbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:806: error: storage size of `keybit' isn't known
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:807: error: storage size of `relbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:808: error: storage size of `absbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:809: error: storage size of `mscbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:810: error: storage size of `ledbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:811: error: storage size of `sndbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:812: error: storage size of `ffbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10/work/splashutils-1.1.9.10/linux/include/linux/input.h:813: error: storage size of `swbit' isn't known
make: *** [daemon.o] Error 1

!!! ERROR: media-gfx/splashutils-1.1.9.10 failed.
Call stack:
  ebuild.sh, line 1928:   Called dyn_compile
  ebuild.sh, line 966:   Called src_compile

!!! failed to build splashutils

Achilles george # emerge --info

Portage 2.1_pre5 (default-linux/amd64/2006.0, gcc-3.4.5, glibc-2.3.6-r3, 2.6.16-rc4 x86_64)
=================================================================
System uname: 2.6.16-rc4 x86_64 AMD Athlon(tm) 64 Processor 3700+
Gentoo Base System version 1.12.0_pre16
ccache version 2.4 [enabled]
dev-lang/python:     2.3.5-r2, 2.4.2-r1
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r1
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r3
ACCEPT_KEYWORDS="amd64 ~amd64"
AUTOCLEAN="yes"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=k8 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/X11/xkb /usr/lib64/mozilla/defaults/pref /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/terminfo /etc/env.d"
CXXFLAGS="-march=k8 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig ccache distlocks sfperms strict"
GENTOO_MIRRORS="ftp://mirrors.blueyonder.co.uk/mirrors/gentoo ftp://ftp.mirrorservice.org/sites/www.ibiblio.org/gentoo/"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.uk.gentoo.org/gentoo-portage"
USE="amd64 X alsa avi berkdb bitmap-fonts cdr crypt cups dvd eds emboss encode foomaticdb fortran gif gnome gpm gstreamer gtk gtk2 imlib ipv6 java jpeg lzw lzw-tiff mp3 mpeg ncurses nls nptl nptlonly nvidia offensive ogg opengl pam pdflib perl png python quicktime readline sdl spell ssl tcpd tiff truetype-fonts type1-fonts usb userlocales vorbis xmms xpm xv xvid zlib elibc_glibc kernel_linux userland_GNU"
Unset:  ASFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, LANG, LC_ALL, LDFLAGS, LINGUAS, PORTDIR_OVERLAY
Comment 1 Patrizio Bassi 2006-02-27 14:02:20 UTC
it's due to 2.6.16-rc*

i already told you spock :)
Comment 2 George Prowse 2006-02-28 11:32:21 UTC
if i get modular X working (i have a bug open) i will go down to 2.6.15-r5 and try again if spock wants
Comment 3 merwan kashouty 2006-03-02 13:12:58 UTC
this is happening for me also... if i down grade to 2.6.15 splashutils will compile..

* Determining the location of the kernel source code
 * Found kernel source directory:
 *     /usr/src/linux
 * Found sources for kernel version:
 *     2.6.16-rc2-git5
>>> Unpacking source...
>>> Unpacking splashutils-lite-1.1.9.10.tar.bz2 to /var/tmp/portage/splashutils-1.1.9.10-r1/work
>>> Unpacking splashutils-gentoo-0.1.14.tar.bz2 to /var/tmp/portage/splashutils-1.1.9.10-r1/work
>>> Unpacking miscsplashutils-0.1.3.tar.bz2 to /var/tmp/portage/splashutils-1.1.9.10-r1/work
>>> Unpacking libpng-1.2.8.tar.bz2 to /var/tmp/portage/splashutils-1.1.9.10-r1/work
>>> Unpacking jpegsrc.v6b.tar.gz to /var/tmp/portage/splashutils-1.1.9.10-r1/work
>>> Unpacking freetype-2.1.9.tar.bz2 to /var/tmp/portage/splashutils-1.1.9.10-r1/work
>>> Unpacking zlib-1.2.3.tar.bz2 to /var/tmp/portage/splashutils-1.1.9.10-r1/work
 * Applying splashutils-depscan.patch ...                                 [ ok ] * Applying splashutils-1.1.9.10-ppc-2.6.14.patch ...                     [ ok ]>>> Source unpacked.
>>> Compiling source in /var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10 ...
cc -O2 fbres.c -o fbres
strip fbres
make[1]: Entering directory `/var/tmp/portage/splashutils-1.1.9.10-r1/work/miscsplashutils-0.1.3/fbtruetype'
gcc -O2 -Wall -I/usr/include/freetype2   -c -o fbtruetype.o fbtruetype.c
gcc -O2 -Wall -I/usr/include/freetype2   -c -o messages.o messages.c
distcc[25309] (dcc_writex) ERROR: failed to write: Connection refused
gcc -O2 -Wall -I/usr/include/freetype2   -c -o console.o console.c
distcc[25309] (dcc_writex) ERROR: failed to write: Broken pipe
distcc[25309] Warning: failed to distribute fbtruetype.c to localhost:2, running locally instead
fbtruetype.c:39: warning: pointer targets in initialization differ in signednessfbtruetype.c: In function 'main':
fbtruetype.c:105: warning: pointer targets in assignment differ in signedness
fbtruetype.c:143: warning: pointer targets in passing argument 2 of 'rendertext' differ in signedness
gcc -O2 -Wall -I/usr/include/freetype2   -c -o ttf.o ttf.c
gcc -O2 -Wall -I/usr/include/freetype2   -c -o luxisri.o luxisri.c
ttf.c: In function 'rendertext':
ttf.c:799: warning: pointer targets in assignment differ in signedness
gcc -O2 -Wall -I/usr/include/freetype2 -L/usr/lib -o fbtruetype -L/usr/lib fbtruetype.o messages.o console.o ttf.o luxisri.o -lfreetype -lm
gcc -O2 -Wall -I/usr/include/freetype2 -L/usr/lib -static -o fbtruetype.static -L/usr/lib fbtruetype.o messages.o console.o ttf.o luxisri.o /usr/lib/libfreetype.a /usr/lib/libz.a -lm
strip -s fbtruetype fbtruetype.static
make[1]: Leaving directory `/var/tmp/portage/splashutils-1.1.9.10-r1/work/miscsplashutils-0.1.3/fbtruetype'
make[1]: Entering directory `/var/tmp/portage/splashutils-1.1.9.10-r1/work/miscsplashutils-0.1.3/kbd'
cc -O2 -march=athlon-xp -pipe -msse -msse2 -mfpmath=sse -fomit-frame-pointer   -c -o fgconsole.o fgconsole.c
cc -O2 -march=athlon-xp -pipe -msse -msse2 -mfpmath=sse -fomit-frame-pointer   -c -o getfd.o getfd.c
cc -O2 -march=athlon-xp -pipe -msse -msse2 -mfpmath=sse -fomit-frame-pointer  fgconsole.o getfd.o -o fgconsole
make[1]: Leaving directory `/var/tmp/portage/splashutils-1.1.9.10-r1/work/miscsplashutils-0.1.3/kbd'
  CONF    libjpeg
  MAKE    libjpeg
  CONF    freetype2
  MAKE    freetype2
  CONF    zlib
  MAKE    zlib
  CONF    libpng
  MAKE    libpng
  CC      kernel/kernel.o
  CC      kernel/dev.o
  CC      kernel/parse.o
  CC      kernel/render.o
  CC      kernel/image.o
  CC      kernel/cmd.o
  CC      kernel/common.o
  CC      kernel/list.o
  CC      kernel/effects.o
  CC      kernel/ttf.o
  LD      splash_helper
  CC      splash.o
  CC      parse.o
  CC      render.o
render.c: In function 'prep_bgnd':
render.c:338: warning: pointer targets in assignment differ in signedness
render.c:339: warning: pointer targets in assignment differ in signedness
  CC      image.o
image.c: In function 'is_png':
image.c:201: warning: pointer targets in passing argument 1 of 'png_sig_cmp' differ in signedness
image.c: In function 'load_bg_images':
image.c:307: warning: pointer targets in passing argument 4 of 'load_png' differ in signedness
image.c:307: warning: pointer targets in passing argument 5 of 'load_png' differ in signedness
image.c:321: warning: pointer targets in passing argument 4 of 'load_png' differ in signedness
image.c:321: warning: pointer targets in passing argument 5 of 'load_png' differ in signedness
image.c:325: warning: pointer targets in passing argument 3 of 'load_jpeg' differ in signedness
image.c:325: warning: pointer targets in passing argument 4 of 'load_jpeg' differ in signedness
  CC      cmd.o
  CC      common.o
  CC      daemon.o
In file included from daemon.c:28:
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:801: error: syntax error before 'kernel_ulong_t'
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:801: warning: no semicolon at end of struct or union
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:805: error: syntax error before 'evbit'
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:805: error: 'BITS_PER_LONG' undeclared here (not in a function)
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:805: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:806: error: syntax error before 'keybit'
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:806: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:807: error: syntax error before 'relbit'
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:807: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:808: error: syntax error before 'absbit'
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:808: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:809: error: syntax error before 'mscbit'
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:809: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:810: error: syntax error before 'ledbit'
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:810: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:811: error: syntax error before 'sndbit'
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:811: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:812: error: syntax error before 'ffbit'
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:812: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:813: error: syntax error before 'swbit'
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:813: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:815: error: syntax error before 'driver_info'
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:815: warning: data definition has no type or storage class
distcc[1176] ERROR: compile daemon.c on 192.168.0.151 failed
make: *** [daemon.o] Error 1

!!! ERROR: media-gfx/splashutils-1.1.9.10-r1 failed.
Call stack:
  ebuild.sh, line 1933:   Called dyn_compile
  ebuild.sh, line 971:   Called src_compile

!!! failed to build splashutils
!!! If you need support, post the topmost build error, and 

-------------------------------------------------------------------------------
Portage 2.1_pre5-r2 (default-linux/x86/2005.1, gcc-4.0.2, glibc-2.3.6-r3, 2.6.16-rc2-git5 i686)
=================================================================
System uname: 2.6.16-rc2-git5 i686 AMD Athlon(tm) 64 FX-57 Processor
Gentoo Base System version 1.12.0_pre16
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [enabled]
dev-lang/python:     2.3.5-r2, 2.4.2-r1
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r3
ACCEPT_KEYWORDS="x86 ~x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=athlon-xp -pipe -msse -msse2 -mfpmath=sse -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/2/share/config /usr/kde/3/share/config /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/gconf /etc/splash /etc/terminfo /etc/env.d"
CXXFLAGS="-O2 -march=athlon-xp -pipe -msse -msse2 -mfpmath=sse -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig distcc distlocks sandbox sfperms strict"
GENTOO_MIRRORS="http://distfiles.gentoo.org http://distro.ibiblio.org/pub/linux/distributions/gentoo"
LINGUAS="en"
MAKEOPTS="-j30"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="x86 3dnow 3dnowext X aac acpi aim aimextras alsa apm applet artworkextra asf audacious audiofile avi bash-completion berkdb bitmap-fonts buttons cairo cddb cdio cdparanoia cdrom chroot ck-plus cpudetection crypt css cups dbus dga dio directfb dlloader dpms dvb dvd dvdr dvdread eds emboss encode fbcon ffmpeg flac foomaticdb fortran gdbm gif gimp gnome gpm gstreamer gtk gtk+ gtk2 hal imagemagick imlib ipod ipv6 jpeg lavc libg++ libwww lm_sensors mad mikmod mjpeg mmx mmxext mono motif mozilla mp3 mpeg mpeg2 mpg4 mplayer ncurses nls nptl nsplugin nvidia ogg oggvorbis opengl oss pam pda pdf pdflib perl png python qt quicktime readline real reiser4 reiserfs rhythmbox sdl spell sse ssl svg svga tcpd transcode truetype truetype-fonts type1-fonts usb v4l vlm vorbis win32codecs wma wmv xine xml2 xmms xv xvid zlib elibc_glibc input_devices_evdev input_devices_vesa input_devices_void input_devices_fbdev input_devices_vga input_devices_keyboard input_devices_tseng input_devices_v4l input_devices_joystick input_devices_mouse input_devices_nv kernel_linux linguas_en userland_GNU video_cards_nv video_cards_nvidia"Unset:  ASFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, LANG, LC_ALL, LDFLAGS

Comment 4 Michal Januszewski (RETIRED) gentoo-dev 2006-03-11 17:01:21 UTC
This looks very similar to some of the errors posted in bug #124832. Please check out my workaround idea suggested there and let me know if it works for you.
Comment 5 Jakub Moc (RETIRED) gentoo-dev 2006-03-20 14:27:35 UTC
*** Bug 127011 has been marked as a duplicate of this bug. ***
Comment 6 Jakub Moc (RETIRED) gentoo-dev 2006-03-20 14:30:16 UTC
(In reply to comment #3)

Yeah, that's a different issue, see Comment #4. This bug is about 2.6.16 issues only.
Comment 7 Alon Bar-Lev gentoo-dev 2006-03-20 15:46:15 UTC
Created attachment 82718 [details, diff]
splashutils-1.1.9.10-linux-2.6.16.diff

The following patch seems to fix it... Although I almost sure the kernel headers are bad...
Comment 8 Michal Januszewski (RETIRED) gentoo-dev 2006-03-22 10:50:24 UTC
Right. This patch might fix the symptoms in this particular case, but the real source of the problem is in the kernel headers, and we'll simply have to wait for them to get fixed. 
Comment 9 Daniel Drake (RETIRED) gentoo-dev 2006-03-25 05:21:26 UTC
Michal, can you detail the exact problem in the kernel headers so that I can fix gentoo-sources?
Comment 10 Daniele Gaffuri 2006-03-26 13:14:17 UTC
(In reply to comment #9)
> Michal, can you detail the exact problem in the kernel headers so that I can
> fix gentoo-sources?
> 
I think the problem is in the new include which defines kernel_ulong_t and is conditioned to an #ifdef __KERNEL__. Here's the relevant diff for include/linux/input.h between 2.6.16 and 2.6.15

16d15
< #include <linux/mod_devicetable.h>
.......
799,836d795
< struct input_device_id {
<
<       kernel_ulong_t flags;
<
<       struct input_id id;
<
<       kernel_ulong_t evbit[EV_MAX/BITS_PER_LONG+1];
<       kernel_ulong_t keybit[KEY_MAX/BITS_PER_LONG+1];
<       kernel_ulong_t relbit[REL_MAX/BITS_PER_LONG+1];
<       kernel_ulong_t absbit[ABS_MAX/BITS_PER_LONG+1];
<       kernel_ulong_t mscbit[MSC_MAX/BITS_PER_LONG+1];
<       kernel_ulong_t ledbit[LED_MAX/BITS_PER_LONG+1];
<       kernel_ulong_t sndbit[SND_MAX/BITS_PER_LONG+1];
<       kernel_ulong_t ffbit[FF_MAX/BITS_PER_LONG+1];
<       kernel_ulong_t swbit[SW_MAX/BITS_PER_LONG+1];
<
<       kernel_ulong_t driver_info;
.............
949a928,946
> struct input_device_id {
>
>       unsigned long flags;
>
>       struct input_id id;
>
>       unsigned long evbit[NBITS(EV_MAX)];
>       unsigned long keybit[NBITS(KEY_MAX)];
>       unsigned long relbit[NBITS(REL_MAX)];
>       unsigned long absbit[NBITS(ABS_MAX)];
>       unsigned long mscbit[NBITS(MSC_MAX)];
>       unsigned long ledbit[NBITS(LED_MAX)];
>       unsigned long sndbit[NBITS(SND_MAX)];
>       unsigned long ffbit[NBITS(FF_MAX)];
>       unsigned long swbit[NBITS(SW_MAX)];
>
>       unsigned long driver_info;
Comment 11 Daniel Drake (RETIRED) gentoo-dev 2006-03-27 04:08:32 UTC
Sent a patch upstream
Comment 12 Daniel Drake (RETIRED) gentoo-dev 2006-03-27 04:37:54 UTC
Patch added to -mm.

http://dev.gentoo.org/~dsd/genpatches/trunk/2.6.16/2600_input-h-bits-per-long.patch

It would be useful if someone could apply it and confirm it fixes the whole problem.
Comment 13 Jan Vansteenkiste 2006-03-27 06:17:57 UTC
Attached patch works for me
cheers
Comment 14 Daniele Gaffuri 2006-03-27 13:25:06 UTC
Doesn't work for me. I get this error (same with 1.1.9.10-r1)

In file included from daemon.c:27:
/var/tmp/portage/splashutils-1.1.9.8-r1/work/splashutils-1.1.9.8/linux/include/linux/input.h:801: error: expected specifier-qualifier-list before 'kernel_ulong_t'
make: *** [daemon.o] Error 1

It seems to me that the problem is the definition of kernel_ulong_t in linux/mod_devicetable.h, which is not included when building splashutils. Or am I missing something?
Comment 15 Alon Bar-Lev gentoo-dev 2006-03-29 00:55:03 UTC
(In reply to comment #12)
> Patch added to -mm.
> 
> http://dev.gentoo.org/~dsd/genpatches/trunk/2.6.16/2600_input-h-bits-per-long.patch
> 
> It would be useful if someone could apply it and confirm it fixes the whole
> problem.
> 

Hello,
It does not solve the problem...
There are still missing stuff.

Notice that in the asm/types.h the BITS_PER_LONG is #ifdef __KERNEL__
Comment 16 Jakub Moc (RETIRED) gentoo-dev 2006-03-30 12:17:59 UTC
*** Bug 128157 has been marked as a duplicate of this bug. ***
Comment 17 Xavier Maillard 2006-03-30 13:10:37 UTC
Not really a solution but I found out that, removing input.h from the linux/include/linux directory solved my problem.

I know this *can't* be the solution but it is acceptable as a workaround giving you add splashutils to your mask file after successfully compiled it.
Comment 18 Xavier Maillard 2006-03-30 13:15:02 UTC
Few other people seemed to do it too (http://forums.gentoo.org/viewtopic-t-437797.html). Once again, this is not an acceptable solution.
Comment 19 Michal Januszewski (RETIRED) gentoo-dev 2006-04-02 06:53:38 UTC
Daniel, I've grepped the whole kernel tree for input_device_id and it looks like it's not used anywhere outside of kernel space. If I'm not mistaken about this, the easy solution might be to move '#ifdef __KERNEL__' before the definition of this struct. What do you think?
Comment 20 Michal Januszewski (RETIRED) gentoo-dev 2006-04-02 06:56:55 UTC
Created attachment 83711 [details, diff]
A potential fix for the input.h problem.

Here's a patch that does what I've talked about.
Comment 21 John 2006-04-05 09:12:37 UTC
(In reply to comment #20)
> Created an attachment (id=83711) [edit]
> A potential fix for the input.h problem.
> 
> Here's a patch that does what I've talked about.
> 

I can confirm that this patch enables successful emerging of splashutils.
Comment 22 nuxboxes 2006-04-06 12:41:59 UTC
Works for me too.
Comment 23 John 2006-04-06 22:38:22 UTC
(In reply to comment #21)
> (In reply to comment #20)
> > Created an attachment (id=83711) [edit]
> > A potential fix for the input.h problem.
> > 
> > Here's a patch that does what I've talked about.
> > 
> 
> I can confirm that this patch enables successful emerging of splashutils.
> 
However, the patch needs to be reversed if you need to recompile the kernel.
Comment 24 Daniel Drake (RETIRED) gentoo-dev 2006-04-11 09:53:07 UTC
Created attachment 84452 [details, diff]
incomplete patch

Dmitry is talking about moving input_device_id into mod_devicetable.h. Here is the start of a patch to do this. I'm not sure how he wants to handle those _MAX constants.
Comment 25 George Prowse 2006-04-11 17:39:51 UTC
changine to 2.6.17-rc1 I still get the errors:

In file included from daemon.c:27:
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:810: error: syntax error before "kernel_ulong_t"
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:810: warning: no semicolon at end of struct or union
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:814: error: syntax error before "evbit"
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:814: error: `BITS_PER_LONG' undeclared here (not in a function)
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:814: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:815: error: syntax error before "keybit"
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:815: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:816: error: syntax error before "relbit"
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:816: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:817: error: syntax error before "absbit"
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:817: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:818: error: syntax error before "mscbit"
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:818: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:819: error: syntax error before "ledbit"
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:819: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:820: error: syntax error before "sndbit"
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:820: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:821: error: syntax error before "ffbit"
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:821: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:822: error: syntax error before "swbit"
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:822: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:824: error: syntax error before "driver_info"
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:824: warning: data definition has no type or storage class
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:814: error: storage size of `evbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:815: error: storage size of `keybit' isn't known
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:816: error: storage size of `relbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:817: error: storage size of `absbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:818: error: storage size of `mscbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:819: error: storage size of `ledbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:820: error: storage size of `sndbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:821: error: storage size of `ffbit' isn't known
/var/tmp/portage/splashutils-1.1.9.10-r1/work/splashutils-1.1.9.10/linux/include/linux/input.h:822: error: storage size of `swbit' isn't known
make: *** [daemon.o] Error 1

!!! ERROR: media-gfx/splashutils-1.1.9.10-r1 failed.
Call stack:
  ebuild.sh, line 1532:   Called dyn_compile
  ebuild.sh, line 929:   Called src_compile
  splashutils-1.1.9.10-r1.ebuild, line 138:   Called die

Do you want the emerge --info details?
Comment 26 Daniel Drake (RETIRED) gentoo-dev 2006-04-11 19:12:52 UTC
Created attachment 84477 [details, diff]
Dmitry's fix

Here's Dmitry's attack on the situation
Comment 27 Daniel Drake (RETIRED) gentoo-dev 2006-04-12 04:38:31 UTC
Fixed in gentoo-sources-2.6.16-r2 (genpatches-2.6.16-4)
Comment 28 Ruud Althuizen 2006-05-07 06:29:00 UTC
(In reply to comment #25)
> changine to 2.6.17-rc1 I still get the errors:
I've got 2.6.16.11 (updating to 2.6.16.14 when gnome-2.14.0 is done). And I keep getting the same errors. Updating klibc didn't fix a thing either.

If the input.h patch is supposed to work, why not just make a new ebuild? Because after looking in the ebuild and seeing the patches I got a bit held back with doing everything manually.

I mean, it is nice and all for everybody who uses gentoo-sources. But I like doing vanilla.
Comment 29 Daniel Drake (RETIRED) gentoo-dev 2006-05-07 09:39:32 UTC
Sorry, we don't patch vanilla, and patching splashutils is not the correct solution.

Why don't you switch to gentoo-sources? It's near identical to vanilla anyway.
Comment 30 Dominique Michel 2006-09-13 07:02:24 UTC
As John day on comment 23, to patch only input.h does at a kernel compilation will fail. I have not try Dmitry's fix at that time.